Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsStrutsInfo

    java.lang.Object
      com.ibm.wps.portlets.struts.WpsStrutsInfo

    public class WpsStrutsInfo

extends java.lang.Object

The `WpsStrutsInfo` class contains information used throughout the WPS Struts portlet implementation. It is specific to a particular Struts servlet instance and contains configured information about that instance that is useful for processing the Struts-based application as a portlet.

Since:
  4.1

Constructor Summary
`WpsStrutsInfo(ServletContext servletContext, java.lang.String contextRoot)` Constructs this WpsStrutsInfo object.

Method Summary
`java.lang.String` | `getContextRoot()` Gets the context root associated with this servlet.
`ServletContext` | `getServletContext()` Gets the servlet context (not portlet context) associated with this servlet.
`java.lang.String` | `getStrutsServletMapping()` Gets the Struts servlet mapping string.
`void` | `setStrutsServletMapping(java.lang.String mapping)` Sets the Struts servlet mapping string.
`java.lang.String` | `toString()` Prints out a displayable form of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WpsStrutsInfo

    public WpsStrutsInfo(ServletContext servletContext,
                         java.lang.String contextRoot)

  Constructs this WpsStrutsInfo object.

  Parameters:
    `servletContext` - the servlet context
    `contextRoot` - the context root for the associated servlet

Method Detail

### getServletContext

    public ServletContext getServletContext()

  Gets the servlet context (not portlet context) associated with this servlet.

  Returns:
    ServletContext the servlet context

### getContextRoot

    public java.lang.String getContextRoot()

  Gets the context root associated with this servlet.

  Returns:
    String the context root string

### getStrutsServletMapping

    public java.lang.String getStrutsServletMapping()

  Gets the Struts servlet mapping string.

  Returns:
    String Struts mapping string

### setStrutsServletMapping

    public void setStrutsServletMapping(java.lang.String mapping)

  Sets the Struts servlet mapping string.

  Parameters:
    `mapping` - the Struts servlet mapping string

### toString

    public java.lang.String toString()

  Prints out a displayable form of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String displayable form

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD